Skip to content

outgoing-webhooks​


Create outgoing webhooks​

POST
/accounts/{accountUuid}/webhooks/v2/outgoing-webhooks

Register a new outgoing webhook

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

showSignatureKey
Type
boolean
Default
false

Request Body​

application/json
JSON
{
  
"targetUrl": "string",
  
"eventTypes": [
  
  
"string"
  
]
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"targetUrl": "string",
  
  
"eventTypes": [
  
  
  
"string"
  
  
],
  
  
"signatureKey": "string",
  
  
"latestEvent": {
  
  
  
"dateTime": "string",
  
  
  
"status": "string"
  
  
}
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​